Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Variant system version

OP Lomax01

20th August 2014, 07:07 PM   |  #1  
OP Member
London
Thanks Meter: 1
 
38 posts
Join Date:Joined: Apr 2007
Hi All

I had my M7 HTC One rooted with s-off running a GPE from mike1976 and all was good with the world.

I'm getting a new phone so am passing this to my mum and decided it would be better for her with everything stock so that she can get updates.

Anyway, I am having huge issues. The phone is back to stock running 4.3 but I cannot run the update as I get the variant system version issue.

I used a Guru Reset rom for the M7, although I can't remember exactly which one. However, I made sure it was for the correct CID and MID.

Getvar gives me this:

(bootloader) version: 0.5
(bootloader) version-bootloader: 1.44.0000
(bootloader) version-baseband: 4A.13.3231.27
(bootloader) version-cpld: None
(bootloader) version-microp: None
(bootloader) version-main:
(bootloader) version-misc: PVT SHIP S-ON
(bootloader) serialno: HT35FW9*****
(bootloader) imei: 354436052******
(bootloader) meid: 00000000000000
(bootloader) product: m7_ul
(bootloader) platform: HBOOT-8064
(bootloader) modelid: PN0710000
(bootloader) cidnum: htc__001
(bootloader) battery-status: good
(bootloader) battery-voltage: 4287mV
(bootloader) partition-layout: Generic
(bootloader) security: on
(bootloader) build-mode: SHIP
(bootloader) boot-mode: FASTBOOT

I can see the it's not showing any information for version-main. Any ideas why this would be?

Can anyone offer any advice on how I can try to resolved this?

Many thanks
Last edited by Lomax01; 20th August 2014 at 07:12 PM. Reason: Missing information
20th August 2014, 07:51 PM   |  #2  
alray's Avatar
Senior Member
Flag Montreal, Quebec
Thanks Meter: 1,400
 
3,616 posts
Join Date:Joined: May 2012
Donate to Me
More
Quote:
Originally Posted by Lomax01

Hi All

I had my M7 HTC One rooted with s-off running a GPE from mike1976 and all was good with the world.

I'm getting a new phone so am passing this to my mum and decided it would be better for her with everything stock so that she can get updates.

Anyway, I am having huge issues. The phone is back to stock running 4.3 but I cannot run the update as I get the variant system version issue.

I used a Guru Reset rom for the M7, although I can't remember exactly which one. However, I made sure it was for the correct CID and MID.

Getvar gives me this:

(bootloader) version: 0.5
(bootloader) version-bootloader: 1.44.0000
(bootloader) version-baseband: 4A.13.3231.27
(bootloader) version-cpld: None
(bootloader) version-microp: None
(bootloader) version-main:
(bootloader) version-misc: PVT SHIP S-ON
(bootloader) serialno: HT35FW9*****
(bootloader) imei: 354436052******
(bootloader) meid: 00000000000000
(bootloader) product: m7_ul
(bootloader) platform: HBOOT-8064
(bootloader) modelid: PN0710000
(bootloader) cidnum: htc__001
(bootloader) battery-status: good
(bootloader) battery-voltage: 4287mV
(bootloader) partition-layout: Generic
(bootloader) security: on
(bootloader) build-mode: SHIP
(bootloader) boot-mode: FASTBOOT

I can see the it's not showing any information for version-main. Any ideas why this would be?

Can anyone offer any advice on how I can try to resolved this?

Many thanks

Variant version error is caused by a mismatch between the OS version and the MID, you'll have to s-off the phone again and change the MID to match the OS or change the OS to match the MID.

What is the OS version?

edit:

And your CID is incorrect, it should be HTC__001 not htc__001
The Following User Says Thank You to alray For This Useful Post: [ View ]
20th August 2014, 08:05 PM   |  #3  
OP Member
London
Thanks Meter: 1
 
38 posts
Join Date:Joined: Apr 2007
Thanks, I'll change the CID.

The OS is 3.62.401.1.
20th August 2014, 08:26 PM   |  #4  
alray's Avatar
Senior Member
Flag Montreal, Quebec
Thanks Meter: 1,400
 
3,616 posts
Join Date:Joined: May 2012
Donate to Me
More
Quote:
Originally Posted by Lomax01

Thanks, I'll change the CID.

The OS is 3.62.401.1.

OS is 3.62.401.1 but bootloader is 1.44 which means your OS and your firmware version doesn't match together.
Are you sure you have flashed the .401 version that is made for PN0710000 and not that one for PN0711000?

What method did you used to get back to stock? It looks like your phone is not really stock... Your hboot should be 1.55 on that version.
I think you should s-off the phone again, and run a full ruu (1.28.401.7) with PN0710000 and HTC__001
then you'll be able to apply ota updates from 1.28.401.7 to 6.09.401.5
20th August 2014, 08:36 PM   |  #5  
OP Member
London
Thanks Meter: 1
 
38 posts
Join Date:Joined: Apr 2007
Really appreciate your help. I'll try it when i get home.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes